import { OnModuleDestroy, OnModuleInit } from '@nestjs/common';
import { DataSource, EntityManager } from 'typeorm';
export declare class DatabaseService implements OnModuleInit, OnModuleDestroy {
    readonly dataSource: DataSource;
    [key: string]: any;
    constructor(dataSource: DataSource);
    onModuleInit(): Promise<void>;
    onModuleDestroy(): Promise<void>;
    runInTransaction<T>(fn: (manager: EntityManager) => Promise<T>): Promise<T>;
}
